Name:		manaplus
Version:	1.4.8.30
Release:	%mkrel 1
Summary:	A client for Evol Online and The Mana World: 2D MMORPG
Group:		Games/Other
License:	GPLv2+
Url:		http://manaplus.org/
Source0:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
Source1:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz.sig

BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
Buildrequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	physfs-devel
BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel

Provides:	manaworld-client = %{version}-%{release}

Suggests:	evol-client = %{version}-%{release}
Suggests:	mumble
Suggests:	xsel

%description
ManaPlus is extended client for Evol Online, The Mana World and similar
servers based on eAthena fork.
As a 2D style game, Evol Online aims to create a friendly environment where 
people can escape reality and interact with others while enjoying themselves 
through a fantasy style game.
The Mana World (TMW) is a serious effort to create an innovative free and 
open source MMORPG. TMW uses 2D graphics and aims to create a large and 
diverse interactive world.

%package -n evol-client
Summary:	Evol Online branding and theme in manaplus
BuildArch:	noarch

Provides:	evolonline-client = %{version}-%{release}
Requires:	manaplus = %{version}-%{release}

%description -n evol-client
This package is part of manaplus and gives branding information inside
ManaPlus for Evol Online server.

%prep
%setup -q
%apply_patches

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-rpath
%make

%install
%makeinstall_std
%make DESTDIR=%{buildroot} -C data/evol branding

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING docs/*.txt NEWS README
%{_gamesbindir}/%{name}
%{_gamesbindir}/dyecmd
%exclude %{_gamesdatadir}/%{name}/data/evol
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}test.desktop
%{_mandir}/man6/%{name}*

%files -n evol-client
%{_datadir}/applications/evol.desktop
%{_datadir}/icons/evol-client.png
%{_gamesdatadir}/%{name}/data/evol



%changelog
* Sun Aug 31 2014 alien <alien> 1.4.8.30-1.mga3
+ Revision: 669817
- Update mga3 to version 1.4.8.30 (mga#13921)
- set correct URL

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12.9-3.mga3
+ Revision: 359405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.2.12.9-2.mga3
+ Revision: 345446
- rebuild for new SDL_gfx

* Sun Dec 09 2012 alien <alien> 1.2.12.9-1.mga3
+ Revision: 329064
- Update to new version

* Tue Nov 27 2012 alien <alien> 1.2.11.25-1.mga3
+ Revision: 322408
- Update to new version

* Sun Nov 11 2012 alien <alien> 1.2.11.11-1.mga3
+ Revision: 316967
- Update to new version

* Sat Oct 27 2012 alien <alien> 1.2.10.28-1.mga3
+ Revision: 310882
- Update to new version

* Sun Oct 14 2012 alien <alien> 1.2.10.14-1.mga3
+ Revision: 305347
- Update to new version

* Sun Sep 30 2012 alien <alien> 1.2.9.30-1.mga3
+ Revision: 301025
- Update to new version

* Fri Sep 21 2012 alien <alien> 1.2.9.16-2.mga3
+ Revision: 296452
- Update to new tarball which contains extra crash fix

* Sat Sep 15 2012 alien <alien> 1.2.9.16-1.mga3
+ Revision: 294269
- Update to new version

* Sat Sep 01 2012 alien <alien> 1.2.9.2-1.mga3
+ Revision: 287057
- Update to new version

* Sat Jul 21 2012 alien <alien> 1.2.7.22-1.mga3
+ Revision: 273159
- Update to version 1.2.7.22

* Sun Jun 24 2012 alien <alien> 1.2.6.24-1.mga3
+ Revision: 263228
- Update to 1.2.6.24
- Remove all patches
- manaplustest isn't separate anymore

* Sun Apr 22 2012 alien <alien> 1.2.3.4-2.mga2
+ Revision: 232467
- Add all upstream bugfixes from mageia2 branch
- rename patches for easier git management

* Sun Mar 04 2012 alien <alien> 1.2.3.4-1.mga2
+ Revision: 218220
- Update to new version
- Apply post-release emergency patches
- make an evol-client branding subpackage

* Sun Feb 19 2012 alien <alien> 1.2.2.19-1.mga2
+ Revision: 210859
- Update to new version

* Sun Feb 05 2012 alien <alien> 1.2.2.5-1.mga2
+ Revision: 205057
- Update to new version 1.2.2.5
- Adapt to using new make dist-bzip2 tarball
- Make correct path

* Sat Jan 21 2012 alien <alien> 1.2.1.22-1.mga2
+ Revision: 199312
- Update to new version 1.2.1.22

* Sun Jan 08 2012 alien <alien> 1.2.1.8-1.mga2
+ Revision: 193343
- Update to new version 1.2.1.8
- Install manaplustest as well

* Mon Dec 26 2011 alien <alien> 1.1.12.25-1.mga2
+ Revision: 187667
- Update to new version

* Sun Dec 11 2011 alien <alien> 1.1.12.11-1.mga2
+ Revision: 180513
- Update to new version

* Sat Nov 26 2011 alien <alien> 1.1.11.27-1.mga2
+ Revision: 172458
- Update to new version
- add xsel support

* Sun Nov 13 2011 alien <alien> 1.1.11.12-1.mga2
+ Revision: 167086
- Update to new version

* Sun Oct 30 2011 alien <alien> 1.1.10.30-1.mga2
+ Revision: 159946
- Update to new version

* Sun Oct 16 2011 alien <alien> 1.1.10.16-1.mga2
+ Revision: 155597
- Update to 1.1.10.16
- Update to 1.1.10.16

* Sun Oct 02 2011 alien <alien> 1.1.10.2-1.mga2
+ Revision: 151051
- Update to new version

* Sun Sep 18 2011 alien <alien> 1.1.9.18-1.mga2
+ Revision: 145197
- New release 1.1.9.18
- Add .sig as extra source

* Mon Sep 05 2011 alien <alien> 1.1.9.4-2.mga2
+ Revision: 138927
- Rebuild for updated tarball with same version

* Sun Sep 04 2011 alien <alien> 1.1.9.4-1.mga2
+ Revision: 138469
- Update to version 1.1.9.4
- Update to version 1.1.8.21
- Add missing buildrequires
- Update to 1.1.8.7
- Update to version 1.1.7.24
- Remove guichan dependency
- Update to version 1.1.6.26

* Mon Jun 13 2011 alien <alien> 1.1.6.12-1.mga2
+ Revision: 105507
- Update to release 1.1.6.12

* Fri May 13 2011 alien <alien> 1.1.5.1-4.mga1
+ Revision: 97725
- Change displayed client version to mageia
- Add spanish help translation

* Sun May 08 2011 alien <alien> 1.1.5.1-3.mga1
+ Revision: 96497
- Fix chat tab size when hiding chat input (upstream patch)
- Improve algorithm for cleaning sdltext cache (fixes memleak; upstream patch)

* Thu May 05 2011 alien <alien> 1.1.5.1-2.mga1
+ Revision: 95209
- Fix monsters selection if monster is added to priority list (patch from upstream)

* Sun May 01 2011 alien <alien> 1.1.5.1-1.mga1
+ Revision: 94054
- Update to version 1.1.5.1
- Fixes crash on a broken map

* Sun Apr 17 2011 alien <alien> 1.1.4.17-1.mga1
+ Revision: 87336
- upgrade to 1.1.4.17

* Fri Apr 08 2011 alien <alien> 1.1.4.3-1.mga1
+ Revision: 82020
- Update to new version 1.1.4.3
- manaplus is now primarily for Evol Online, updating Summary and Description and add Provides
- suggests mumble

* Sat Feb 26 2011 alien <alien> 1.1.2.20-1.mga1
+ Revision: 61040
- Fix BuildRequires
- Fix configure part
- Remove unneeded mv files
- Remove BuildRoot
- use tmw spec file as basis
- imported package manaplus

